APT-GET(8)

NAME
apt-get - APT gereedschap voor het behandelen van pakketten -- commandoregelinterface

SAMENVATTING

apt-get [-sqdyfmubV] [-o=configuratietekenreeks] [-c=configuratiebestand] [-t=doelrelease] [-a=architectuur] {update | upgrade | dselect-upgrade | dist-upgrade | install pakket [{=pakketversienummer | /doelrelease}]... | remove pakket... | purge pakket... | source pakket [{=pakketversienummer | /doelrelease}]... | build-dep pakket [{=pakketversienummer | /doelrelease}]... | download pakket [{=pakketversienummer | /doelrelease}]... | check | clean | autoclean | autoremove | {-v | --version} | {-h | --help}}

OMSCHRIJVING

apt-get is het gereedschap voor de commandoregel voor het behandelen van pakketten. Het kan door de gebruiker beschouwd worden als zijn "backend" (het basisinstrument) voor andere gereedschappen die gebruik maken van de bibliotheek van APT. Er bestaan verschillende "front-end" interfaces, zoals aptitude(8), synaptic(8) en wajig(1).

Tenzij de optie -h, of --help opgegeven werd, moet een van de onderstaande commando's gebruikt worden.

update
    update wordt gebruikt om de indexbestanden van beschikbare pakketten terug te synchroniseren met hun pakketbronnen. De indexen worden opgehaald van de locatie(s) die in /etc/apt/sources.list opgegeven werden. Indien bijvoorbeeld een Debian-archief gebruikt wordt, zal dit commando de bestanden Packages.gz ophalen en doorzoeken zodat de informatie over nieuwe en bijgewerkte pakketten beschikbaar wordt. Een update moet altijd uitgevoerd worden voor een upgrade of een dist-upgrade. U moet er rekening mee houden dat de globale voortgangsindicator niet betrouwbaar is, aangezien de grootte van de pakketbestanden vooraf niet gekend is.

upgrade
    upgrade wordt gebruikt om vanaf de pakketbronnen die in het bestand /etc/apt/sources.list vermeld worden, de recentste versies te installeren van alle pakketten die momenteel op het systeem geïnstalleerd zijn. Pakketten waarvan een recentere versie beschikbaar is, worden opgehaald en bijgewerkt. Onder geen beding worden pakketten die momenteel geïnstalleerd zijn, verwijderd of worden pakketten die nog niet geïnstalleerd zijn, opgehaald en geïnstalleerd. Recentere versies van pakketten die momenteel geïnstalleerd zijn en die niet bijgewerkt kunnen worden zonder de installatiestatus van een ander pakket te wijzigen, zullen op hun huidige versie behouden blijven. Vooraf moet een update uitgevoerd worden, zodat apt-get weet dat er nieuwere versies van pakketten beschikbaar zijn.

    Wanneer een pakket wordt opgegeven als argument, zal het pakket geïnstalleerd worden voordat de opwaardering plaats vindt.

dist-upgrade
    dist-upgrade vervult niet enkel de functie van upgrade, maar handelt bovendien op een intelligente manier vereisten af die bij de nieuwere pakketversies veranderd zijn. apt-get beschikt over een "slim" systeem van conflictoplossing en zal proberen om de belangrijkste pakketten op te waarderen, eventueel, mocht dat nodig blijken, ten koste van minder belangrijke. Het kan daarom gebeuren dat het commando dist-upgrade sommige pakketten verwijdert. Het bestand /etc/apt/sources.list bevat een lijst met locaties waarvandaan de gewenste pakketten opgehaald kunnen worden. Zie ook apt_preferences(5) voor een mechanisme dat toelaat om voor individuele pakketten de algemene instellingen te overschrijven.

    Wanneer een pakket wordt opgegeven als argument, zal het pakket geïnstalleerd worden voordat de opwaardering plaats vindt.

dselect-upgrade
    dselect-upgrade wordt gebruikt in combinatie met dselect(1), het traditionele front-end van Debian voor pakketbeheer. dselect-upgrade volgt de veranderingen op die dselect(1) aanbrengt in het Status-veld van de beschikbare pakketten en voert de acties uit die nodig zijn om die status waar te maken (bijvoorbeeld het verwijderen van oude en het installeren van nieuwe pakketten).

install
    install wordt gevolgd door een of meer pakketten die men wenst te installeren of op te waarderen. Elk pakket wordt aangeduid met de pakketnaam, niet met zijn volledige unieke bestandsnaam (in een Debian systeem bijvoorbeeld zal apt-utils het argument zijn dat opgegeven wordt en niet apt-utils_3.0.3_amd64.deb). Alle pakketten die door het/de opgegeven te installeren pakket(ten) vereist worden, zullen eveneens opgehaald en geïnstalleerd worden. Het bestand /etc/apt/sources.list wordt gebruikt om de gewenste pakketten te vinden. Indien aan het eind van een pakketnaam een koppelteken (zonder spatie ertussenin) geplaatst wordt, zal het opgegeven pakket verwijderd worden indien het geïnstalleerd is. Net zo kan een plus-teken gebruikt worden om op te geven dat een pakket geïnstalleerd moet worden. Deze laatstgenoemde werkwijzen kunnen gebruikt worden om beslissingen te overschrijven die door het conflictoplossingssysteem van apt-get genomen worden.

    Een specifieke versie van een pakket kiezen voor installatie kan door de pakketnaam te laten volgen door een gelijkheidsteken en de te selecteren versie van het pakket. Dit zorgt ervoor dat die versie wordt opgezocht en voor installatie geselecteerd wordt. Eveneens kan een specifieke distributie geselecteerd worden door de pakketnaam te laten volgen door een slash en de versie van de distributie of de archiefnaam ervan (stable, testing, unstable).

    Beide versieselectiemechanismes kunnen pakketten downgraden en moeten met zorg gebruikt worden.

    Dit is ook de aangewezen werkwijze indien u een of meer reeds geïnstalleerde pakketten wilt opwaarderen zonder alle op het systeem aanwezige pakketten op te waarderen. In tegenstelling tot het commando "upgrade", dat de recentste versie installeert van alle op het systeem aanwezige pakketten, zal "install" enkel de recentste versie installeren van het/de opgegeven pakket(ten). Geef gewoon de naam op van het/de pakket(ten) dat/die u wenst op te waarderen en, indien er een recentere versie beschikbaar is, zal die (samen met zijn vereisten, zoals hiervoor uitgelegd werd) gedownload en geïnstalleerd worden.

    Tot slot stelt het mechanisme apt_preferences(5) u in staat om voor individuele pakketten een ander installatiebeleid te creëren.

    Indien geen enkel pakket overeenkomt met de opgegeven expressie en de expressie een '.', '?' of '*' bevat, dan wordt aangenomen dat het om een POSIX reguliere expressie gaat en wordt die toegepast op alle pakketnamen uit de database. Elke overeenkomst wordt dan geïnstalleerd (of verwijderd). Merk op dat het zoeken naar een overeenkomst gebeurt per deeltekenreeks, zodat 'lo.*' zowel met 'how-lo' als met 'lowest' een overeenkomst oplevert. Indien dit niet wenselijk is, veranker de reguliere expressie dan met behulp van het teken '^' of '$' of maak de reguliere expressie specifieker.

    Terugvallen op reguliere expressies wordt ontraden in APT 2.0; het werd verwijderd uit apt(8), behalve voor verankerde reguliere expressies, en het zal verwijderd worden uit apt-get(8) in een volgende versie. Gebruik in de plaats daarvan apt-patterns(7).

reinstall
    reinstall is een alias voor install --reinstall.

remove
    remove is identiek aan install behalve dat pakketten ermee verwijderd in plaats van geïnstalleerd worden. Merk op dat het verwijderen van een pakket de configuratiebestanden ervan op het systeem laat staan. Indien een plus-teken aan de pakketnaam toegevoegd wordt (zonder spatie ertussenin), zal het opgegeven pakket geïnstalleerd in plaats van verwijderd worden.

purge
    purge is identiek aan remove behalve dat pakketten verwijderd en gewist worden (ook eventuele configuratiebestanden worden verwijderd).

source
    source doet apt-get bronpakketten ophalen. APT zal de beschikbare pakketten doorzoeken om uit te maken welk bronpakket opgehaald moet worden. Het zal de meest recente beschikbare versie van dat bronpakket opzoeken, ophalen en in de huidige map plaatsen. Het respecteert daarbij waar mogelijk de standaarduitgave, ingesteld met de optie APT::Default-Release, de optie -t of opgegeven per pakket via de syntaxis pkg/release.

    De argumenten worden beschouwd als namen van binaire en broncodepakketen. Zie de optie --only-source indien u dit wenst te wijzigen.

    De opvolging van bronpakketten gebeurt afzonderlijk, los van de binaire pakketten, via deb-src-regels in het bestand sources.list(5). Dit betekent dat u een dergelijke regel moet toevoegen per pakketbron waarvan u bronpakketten wilt ophalen. Anders zult u wellicht de verkeerde versie (te oud/te recent) van het bronpakket krijgen of helemaal geen.

    Indien de optie --compile opgegeven werd, zal het pakket tot een binair .deb-bestand gecompileerd worden met behulp van de opdracht dpkg-buildpackage en dit voor de architectuur die met de optie --host-architecture opgegeven werd. Als de optie --download-only opgegeven werd, zal het bronpakket niet uitgepakt worden.

    Een specifieke versie van de broncode kunt u ophalen door de naam van het bronpakket te laten volgen door een gelijkheidsteken en de op te halen versie. Dit mechanisme is gelijkaardig aan datgene wat voor pakketbestanden gebruikt wordt. Dit maakt het mogelijk een exacte overeenkomst met de naam en het versienummer van het bronpakket te gebruiken, wat neerkomt op het impliciet aanzetten van de optie APT::Get::Only-Source.

    Merk op dat in tegenstelling tot binaire pakketten, bronpakketten niet opgenomen en opgevolgd worden in de database van dpkg. Ze worden gewoon opgehaald en in de huidige map geplaatst, zoals tar-archieven van broncode.

build-dep
    build-dep doet apt-get pakketten installeren/verwijderen i een poging om te voldoen aan de vereisten voor het bouwen van een bronpakket. Standaard wordt voldaan aan de vereisten voor het bouwen van het pakket voor de architectuur van het systeem. In de plaats daarvan kan desgewenst een architectuur gespecificeerd worden met de optie --host-architecture.

    De argumenten worden beschouwd als namen van binaire en broncodepakketen. Zie de optie --only-source indien u dit wenst te wijzigen.

satisfy
    satisfy doet apt-get voldoen aan de opgegeven vereistentekenreeks. De vereistentekenreeksen kunnen bouwprofielen en een lijst architectuurbeperkingen bevatten, zoals voor bouwvereisten. Zij kunnen facultatief voorafgegaan worden door "Conflicts: " om ervoor te zorgen dat niet voldaan wordt aan de vereistentekenreeks. Meerdere tekenreeksen van hetzelfde type kunnen opgegeven worden.

    Voorbeeld: apt-get satisfy "foo" "Conflicts: bar" "baz (>> 1.0) | bar (= 2.0), moo"

    De oudere operator '</>' wordt niet ondersteund; gebruik in de plaats daarvan '<=/>='.

check
    check is een diagnostisch gereedschap; het werkt de pakketcache bij en controleert op defecte vereisten.

download
    download zal het opgegeven binaire pakket ophalen en in de huidige map plaatsen. De authenticiteit van de pakketgegevens is zoals gebruikelijk gewaarborgd.

clean
    clean ruimt de lokale opslagplaats voor opgehaalde pakketbestanden op. Op het vergrendelingsbestand na ruimt het in /var/cache/apt/archives/ en /var/cache/apt/archives/partial/ alles op.

autoclean (en de auto-clean alias sinds 1.1)
    Net als clean ruimt autoclean de lokale opslagplaats voor opgehaalde pakketbestanden op. Het verschil is dat het enkel pakketbestanden opruimt die niet langer opgehaald kunnen worden en goeddeels waardeloos zijn. Dit laat toe om gedurende een lange tijd een cache bij te houden zonder dat die onbeheersbaar wordt. Door het uitzetten van de configuratieoptie APT::Clean-Installed kan het opruimen van pakketbestanden van geïnstalleerde pakketten verhinderd worden.

distclean (en de dist-clean alias)
    distclean verwijdert alle bestanden onder /var/lib/apt/lists behalve Release, Release.gpg en InRelease. Het kan bijvoorbeeld gebruikt worden bij het afwerken van images die verspreid worden onder gebruikers. De bestanden release worden bewaard om veiligheidsredenen, om verschillende soorten aanvallen te voorkomen.

autoremove (en de auto-remove alias sinds 1.1)
    autoremove wordt gebruikt om pakketten te verwijderen die automatisch geïnstalleerd werden om te voldoen aan de vereisten van andere pakketten en nu niet langer nodig zijn.

autopurge
    Zoals autoremove, maar met autopurge worden ook de configuratiebestanden gewist. Dit is een kortere vorm voor autoremove --purge.

changelog
    changelog tracht het changelog-bestand (logbestand met veranderingen) van een pakket op te halen en geeft dit weer via het commando sensible-pager. Standaard wordt het logbestand met wijzigingen weergegeven voor de geïnstalleerde versie. U kunt evenwel dezelfde opties opgeven als bij het commando install.

indextargets
    Geeft standaard een volgens deb822 ingedeelde lijst weer met informatie over alle gegevensbestanden (ook soms indexbestanden of indexdoelen genoemd) die apt-get update zou downloaden. Ondersteunt de optie --format voor het aanpassen van de indeling van de uitvoer en accepteert ook regels uit de standaarduitvoer om er de gegevens mee te filteren. Het commando wordt hoofdzakelijk gebruikt als een interface voor extern gereedschap dat APT gebruikt om informatie te verkrijgen evenals de namen van opgehaalde bestanden, zodat ook dat gereedschap er gebruik van kan maken in plaats van ze ook zelf weer op te halen. Meer gedetailleerde documentatie wordt hier niet gegeven, maar is daarentegen wel te vinden in het bestand /usr/share/doc/apt/acquire-additional-files.md.gz dat te vinden is in het pakket apt-doc.

OPTIES

Alle commandoregelopties kunnen via het configuratiebestand ingesteld worden. de omschrijving geeft de in te stellen configuratieoptie op. Bij booleaanse opties kunt u instellingen uit het configuratiebestand overschrijven door iets te gebruiken als -f-, --no-f, -f=no en meerdere andere variaties.

--no-install-recommends
    Aanbevolen pakketten niet als te installeren vereisten beschouwen. Configuratie-item: APT::Install-Recommends.

--install-suggests
    Voorgestelde pakketten als te installeren vereisten beschouwen. Configuratie-item: APT::Install-Suggests.

-d, --download-only
    Enkel downloaden; pakketbestanden worden enkel opgehaald, niet uitgepakt of geïnstalleerd. Configuratie-item: APT::Get::Download-Only.

-f, --fix-broken
    Herstellen; proberen een systeem met defecte vereisten te repareren. Als deze optie gebruikt wordt samen met install/remove, kan ze elk pakket overslaan om APT toe te laten tot een aannemelijke oplossing te komen. Indien pakketten opgegeven worden, moeten die het probleem volledig repareren. Soms is deze optie nodig wanneer APT voor de eerste keer uitgevoerd wordt. APT zelf laat niet toe dat op een systeem defecte pakketvereisten voorkomen. Het is mogelijk dat de vereistenstructuur van een systeem dermate defect is dat een manuele interventie noodzakelijk is (hetgeen meestal betekent dat dpkg --remove moet gebruikt worden om sommige problematische pakketten uit de weg te ruimen). Het gebruik van deze optie samen met -m kan in sommige omstandigheden een fout opleveren. Configuratie-item: APT::Get::Fix-Broken.

-m, --ignore-missing, --fix-missing
    Ontbrekende pakketten negeren; indien pakketten niet opgehaald kunnen worden of indien na het ophalen de integriteitstoets mislukt (beschadigde pakketbestanden), behoud dan de geïnstalleerde versie van deze pakketten en ga om met het resultaat. Het gebruik van deze optie samen met -f kan in sommige situaties tot een fout leiden. Indien een pakket voor installatie geselecteerd werd (in het bijzonder wanneer het aan de commandoregel vermeld werd) en het niet opgehaald kon worden, dan zal het stilzwijgend op zijn huidige versie behouden blijven. Configuratie-item: APT::Get::Fix-Missing.

--no-download
    Schakelt het downloaden van pakketten uit. Dit wordt best gebruikt samen met --ignore-missing om APT te verplichten enkel .debs te gebruiken die het al gedownload heeft. Configuratie-item: APT::Get::Download.

-q, --quiet
    Stil; produceert uitvoer, geschikt voor een logboekbestand. Voortgangsindicatoren worden overgeslagen. Meer q's, met een maximum van 2, maken de uitvoer beknopter. U kunt ook -q=# gebruiken om het niveau van beknopte uitvoer in te stellen en de waarde uit het configuratiebestand te overschrijven. Merk op dat beknopte uitvoer van het niveau 2 de optie -y impliceert; u zou nooit -qq zonder een optie van het type niets doen, zoals -d, --print-uris of -s, moeten gebruiken, omdat APT kan beslissen iets te gaan doen waaraan u zich niet verwachtte. Configuratie-item: quiet.

-s, --simulate, --just-print, --dry-run, --recon, --no-act
    Geen actie; voer een simulatie uit van de gebeurtenissen die zich zouden voordoen op basis van de actuele toestand van het systeem, maar voer geen effectieve wijzigingen aan het systeem door. Vergrendeling wordt uitgeschakeld (Debug::NoLocking), zodat de toestand van het systeem eventueel zou kunnen wijzigen terwijl apt-get bezig is. Ook een niet-systeembeheerder (non-root) kan simulaties uitvoeren en als die geen leestoegang heeft tot alle configuraties van apt, kan dit de simulatie vertekenen. Niet-systeembeheerders krijgen standaard ook een opmerking te zien waarin deze waarschuwing gegeven wordt (APT::Get::Show-User-Simulation-Note). Configuratie-item: APT::Get::Simulate.

    Als men een simulatie uitvoert, worden een aantal regels weergegeven, waarbij elke regel een operatie van dpkg vertegenwoordigt: configureren (Conf), verwijderen (Remv) of uitpakken (Inst). Rechte haakjes duiden op defecte pakketten en lege rechte haakjes duiden op defecten zonder gevolgen (komt zelden voor).

-y, --yes, --assume-yes
    Een automatisch ja op vragen; ga uit van een ja-antwoord op alle vragen en voer de operatie niet-interactief uit. Indien er zich een niet-wenselijke situatie voordoet, zoals het wijzigen van een op zijn huidige versie vastgehouden pakket, een poging om een niet-geauthenticeerd pakket te installeren of het verwijderen van een essentieel pakket, zal apt-get afgebroken worden. Configuratie-item: APT::Get::Assume-Yes.

--assume-no
    Een automatisch "neen" op alle vragen. Configuratie-item: APT::Get::Assume-No.

--no-show-upgraded
    Geen lijst weergeven van alle pakketten die opgewaardeerd zullen worden. Configuratie-item: APT::Get::Show-Upgraded.

-V, --verbose-versions
    Het volledige versienummer weergeven van opgewaardeerde en geïnstalleerde pakketten. Configuratie-item: APT::Get::Show-Versions.

--no-list-columns
    Pakketlijsten weergeven zonder deze in kolommen te rangschikken. Standaard worden pakketlijsten afgedrukt in de stijl van het commando "ls". Configuratie-item: APT::Get::List-Columns.

--comment
    De opgegeven waarde toevoegen aan het veld Comment: in history.log Configuratie-item: APT::History::Comment.

-a, --host-architecture
    Deze optie regelt voor welke architectuur pakketten gebouwd worden met de opdracht apt-get source --compile en hoe aan kruiselingse bouwvereisten voldaan wordt. Standaard staat dit niet ingesteld hetgeen betekent dat de computer waarop het pakket gebouwd wordt dezelfde architectuur heeft als die waarvoor het gebouwd wordt (hetgeen ingesteld wordt met APT::Architecture). Configuratie-item: APT::Get::Host-Architecture.

-P, --build-profiles
    Deze optie regelt het activeren van bouwprofielen waarvoor een bronpakket gebouwd wordt met apt-get source --compile. Ze regelt ook hoe voldaan wordt aan de bouwvereisten. Standaard is geen enkel bouwprofiel actief. Er kan meer dan een bouwprofiel tegelijk geactiveerd worden door ze gescheiden door en komma samen te voegen. Configuratie-item: APT::Build-Profiles.

-b, --compile, --build
    Bronpakketten na het downloaden compileren. Configuratie-item: APT::Get::Compile.

--ignore-hold
    Instructies dat pakketten op hun huidige versie behouden moeten blijven, negeren; dit zorgt ervoor dat apt-get de bij een pakket horende instructie 'behouden op de huidige versie' negeert. Dit kan nuttig zijn in combinatie met dist-upgrade om een groot aantal onwenselijke instructies van het type 'behouden op de huidige versie' te overschrijven. Configuratie-item: APT::Ignore-Hold.

--with-new-pkgs
    Toelaten dat nieuwe pakketten geïnstalleerd worden als dit gebruikt wordt in combinatie met upgrade. Dit is nuttig als het voor het bijwerken van een geïnstalleerd pakket nodig is om nieuwe vereisten te installeren. In plaats van het pakket op de huidige versie vast te houden, zal upgrade het pakket opwaarderen en de nieuwe vereisten installeren. Merk op dat upgrade met deze optie nooit pakketten zal verwijderen. Enkel nieuwe toevoegen is dan toegestaan. Configuratie-item: APT::Get::Upgrade-Allow-New.

--no-upgrade
    Geen pakketten opwaarderen; als no-upgrade aan de commandoregel gebruikt wordt in combinatie met install, zal dat verhinderen dat reeds geïnstalleerde pakketten opgewaardeerd worden. Configuratie-item: APT::Get::Upgrade.

--only-upgrade
    Geen nieuwe pakketten installeren; wanneer only-upgrade gebruikt wordt in combinatie met install, zal het enkel voor reeds geïnstalleerde pakketten opwaarderingen installeren en verzoeken om nieuwe pakketten te installeren negeren. Configuratie-item: APT::Get::Only-Upgrade.

--allow-downgrades
    Dit is een gevaarlijke optie die er voor zorgt dat apt zonder vragen voortgaat als het downgradings doorvoert. U zou dit niet moeten gebruiken behalve in zeer bijzondere situaties. Dit gebruiken kan mogelijkerwijs tot de vernietiging van uw systeem leiden! Configuratie-item: APT::Get::allow-downgrades. Geïntroduceerd in APT 1.1.

--allow-remove-essential
    Een ja doordrukken; dit is een gevaarlijke optie die er voor zorgt dat apt zonder vragen voortgaat als het essentiële pakketten verwijdert. U zou dit niet moeten gebruiken behalve in zeer bijzondere situaties. Dit gebruiken kan mogelijkerwijs tot de vernietiging van uw systeem leiden! Configuratie-item: APT::Get::allow-remove-essential. Geïntroduceerd in APT 1.1.

--allow-change-held-packages
    Een ja doordrukken; dit is een gevaarlijke optie die er voor zorgt dat apt zonder vragen voortgaat als het te handhaven pakketten wijzigt. U zou dit niet moeten gebruiken behalve in zeer bijzondere situaties. Dit gebruiken kan mogelijkerwijs tot de vernietiging van uw systeem leiden! Configuratie-item: APT::Get::allow-change-held-packages. Geïntroduceerd in APT 1.1.

--force-yes
    Een ja doordrukken; dit is een gevaarlijke optie die er voor zorgt dat apt zonder vragen voortgaat als het iets doet dat schadelijk kan zijn. U zou dit niet moeten gebruiken behalve in zeer bijzondere situaties. Het gebruik van force-yes kan mogelijkerwijs tot de vernietiging van uw systeem leiden! Configuratie-item: APT::Get::force-yes. Deze optie is verouderd en werd in 1.1 vervangen door --allow-unauthenticated , --allow-downgrades , --allow-remove-essential , --allow-change-held-packages.

--print-uris
    In plaats van pakketten op te halen om ze te installeren wordt hun URI weergegeven. Elke URI bevat het pad en de naam van het doelbestand, zijn grootte en de verwachte MD5-frommel. Merk op dat de naam van het bestand waarnaartoe geschreven wordt niet steeds overeenkomt met de bestandsnaam op de externe site! Dit werkt ook met de commando's source en update. Bij gebruik in combinatie met het commando update zijn de MD5-frommel en de grootte niet inbegrepen en het is aan de gebruiker om eventuele gecomprimeerde bestanden uit te pakken. Configuratie-item: APT::Get::Print-URIs.

--purge
    Purge gebruiken in plaats van remove voor alles wat verwijderd zou worden. Er zal een sterretje ("*") staan naast de pakketten die ingepland staan om opgeruimd te worden. remove --purge is het equivalent van het commando purge. Configuratie-item: APT::Get::Purge.

--reinstall
    Pakketten die reeds met hun nieuwste versie geïnstalleerd zijn, opnieuw installeren. Configuratie-item: APT::Get::ReInstall.

--list-cleanup
    Deze optie is standaard aangezet; gebruik --no-list-cleanup om ze uit te zetten. Indien ze geactiveerd is, zal apt-get automatisch de inhoud van /var/lib/apt/lists beheren om te garanderen dat in onbruik geraakte bestanden verwijderd worden. De enige reden waarom u dit zou uitzetten is wanneer u vaak het bestand sources.list wijzigt. Configuratie-item: APT::Get::List-Cleanup.

-S, --snapshot
    Deze optie bepaalt de gekozen momentopname voor archieven met Snapshot: enable in het element source. Bijvoorbeeld, -S 20220102T030405Z selecteert een momentopname van 2 januari 2022 om 03:04:05 UTC. Configuratie-item: APT::Snapshot; zie ook de man-pagina sources.list(5).

-t, --target-release, --default-release
    Deze optie regelt de standaard invoer voor het aansturen van de beleidsvoering; ze stelt een standaard pinwaarde in op 990 voor de opgegeven release. Dit overschrijft de algemene instellingen uit /etc/apt/preferences. De waarde van deze optie heeft geen invloed op pakketten met een eigen pinwaarde. Kort samengevat laat deze optie u toe om op een eenvoudige wijze controle te houden over uit welke distributie pakketten opgehaald worden. Enkele gebruikelijke voorbeelden zijn -t '2.1*', -t unstable en -t sid. Configuratie-item: APT::Default-Release; raadpleeg ook de man-pagina van apt_preferences(5).

--trivial-only
    Enkel 'banale' operaties uitvoeren. Logisch gezien kan men dit beschouwen als gerelateerd aan --assume-yes. Waar --assume-yes op elke vraag ja antwoordt, zal --trivial-only nee antwoorden. Configuratie-item: APT::Get::Trivial-Only.

--mark-auto
    Na een succesvolle installatie alle pas geïnstalleerde pakketten markeren als automatisch geïnstalleerd. Dit heeft als effect dat al deze pakketten verwijderd zullen worden wanneer geen handmatig geïnstalleerde pakketten deze nog vereisen. Dit is hetzelfde als het commando apt-mark auto uitvoeren voor alle geïnstalleerde pakketten. Configuratie-item: APT::Get::Mark-Auto.

--no-remove
    Indien een of ander pakket verwijderd zou moeten worden, zal apt-get onmiddellijk afgebroken worden zonder een vraag te stellen. Configuratie-item: APT::Get::Remove.

--auto-remove, --autoremove
    Indien het gegeven commando install of remove is, dan zal deze optie functioneren zoals wanneer de opdracht autoremove wordt uitgevoerd en zullen pakketten die niet langer door andere vereist worden, verwijderd worden. Configuratie-item: APT::Get::AutomaticRemove.

--only-source
    Is enkel betekenisvol voor de commando's source en build-dep. Geeft aan dat voor de opgegeven namen van bronpakketten niet naar een overeenkomst gezocht moet worden via de tabel met binaire pakketten. Dit houdt in dat indien deze optie opgegeven werd, deze commando's enkel de naam van bronpakketten als argument zullen aanvaarden en niet de naam van een binair pakket om nadien het overeenkomstige bronpakket te gaan opzoeken. Configuratie-item: APT::Get::Only-Source.

--diff-only, --dsc-only, --tar-only
    Enkel het diff-, dsc- of tar-bestand van een bronarchief downloaden. Configuratie-item: APT::Get::Diff-Only, APT::Get::Dsc-Only, en APT::Get::Tar-Only.

--arch-only
    Enkel architectuurafhankelijke bouwvereisten verwerken. Configuratie-item: APT::Get::Arch-Only.

--indep-only
    Enkel architectuur-onafhankelijke bouwvereisten verwerken. Configuratie-item: APT::Get::Indep-Only.

--allow-unauthenticated
    Negeer dat pakketten niet geauthenticeerd kunnen worden en stel er geen vragen over. Dit kan nuttig zijn als met lokale pakketbronnen gewerkt wordt, maar het houdt een enorm veiligheidsrisico in als de authenticiteit van de gegevens niet op een andere manier door de gebruiker zelf verzekerd wordt. Het gebruik van de optie Trusted voor regels uit sources.list(5) valt gewoonlijk te verkiezen boven deze globale vervanging. Configuratie-item: APT::Get::AllowUnauthenticated.

--allow-insecure-repositories
    Het commando update toestaan om niet-verifieerbare gegevens op te halen uit geconfigureerde pakketbronnen. Het commando update van APT zal anders mislukken bij pakketbronnen zonder geldige cryptografische ondertekening. Zie ook apt-secure(8) voor meer informatie over het concept en de implicaties. Configuratie-item: Acquire::AllowInsecureRepositories.

--allow-releaseinfo-change
    Sta het commando update toe om gegevens te blijven downloaden van een pakketbron waarvan de informatie over welke release die pakketbron bevat, gewijzigd is en bijvoorbeeld een nieuwe hoofdrelease aangeeft. Voor dergelijke pakketbronnen zal APT er niet in slagen het update-commando uit te voeren, totdat de verandering bevestigd is, om er zeker van te zijn dat de gebruiker voorbereid is op die verandering. Zie ook apt-secure(8) voor informatie over concept en configuratie.

    Er bestaan specialistische opties (--allow-releaseinfo-change-veld) om enkel veranderingen toe te staan voor bepaalde velden, zoals origin, label, codename, suite, version en defaultpin. Zie ook apt_preferences(5). Configuratie-item: Acquire::AllowReleaseInfoChange.

--show-progress
    Bij het installeren, opwaarderen of verwijderen van pakketten gebruikersvriendelijke voortgangsinformatie in het terminalvenster weergeven. Voor een door een machine te lezen versie van deze gegevens kunt u README.progress-reporting raadplegen in apt's doc-map. Configuratie-item: Dpkg::Progress en Dpkg::Progress-Fancy.

--with-source bestandsnaam
    Voegt het opgegeven bestand toe als een metadatabron. Kan herhaald worden om meerdere bestanden toe te voegen. Zie voor verdere details de beschrijving van de optie --with-source in apt-cache(8).

-eelk, --error-on=elk
    De update-opdracht doen mislukken als er een fout is opgetreden, zelfs een tijdelijke fout.

-U, --update
    Voer de opdracht update uit vóór de opgegeven opdracht. Dit wordt ondersteund voor commando's die pakketten installeren, verwijderen of opwaarderen, zoals install, remove, safe-upgrade, full-upgrade. Dit kan handig zijn om ervoor te zorgen dat een commando altijd de nieuwste versies installeert, of, in combinatie met de optie --snapshot, om ervoor te zorgen dat de momentopname aanwezig is wanneer install wordt uitgevoerd.

    Waarschuwing: vanwege technische beperkingen worden vergrendelingen voor elke fase afzonderlijk verkregen. Daarom is het mogelijk dat een installatie geen vergrendelingen verkrijgt nadat de update met succes is uitgevoerd. Totdat dit is opgelost, is dit louter syntactische suiker voor apt update && apt install

-h, --help
    Een korte samenvatting van het gebruik weergeven.

-v, --version
    Het versienummer van het programma weergeven.

--audit
    Controle- (en kennisgevings)berichten tonen. Dit heeft voorrang op de optie quiet, maar alleen voor waarschuwingsberichten, niet voor voortgangsberichten.

-c, --config-file
    Configuratiebestand; Een te gebruiken configuratiebestand opgeven. Het programma zal het standaard configuratiebestand inlezen en nadien dit configuratiebestand. Als configuratie-instellingen opgegeven moeten worden vooraleer de standaard configuratiebestanden verwerkt worden, geef dan een bestand op met de omgevingsvariabele APT_CONFIG. Raadpleeg apt.conf(5) voor informatie over de syntaxis.

-o, --option
    Een configuratieoptie instellen; Dit stelt een willekeurige configuratieoptie in. De syntaxis is -o Foo::Bar=bar. -o en --option kunnen meermaals gebruikt worden om verschillende opties in te stellen.

--no-color, --color
    Kleur aan- of uitzetten. Kleur staat standaard aan voor apt(8) op ondersteunde terminals en kan ook uitgezet worden met de omgevingsvariabelen NO_COLOR en APT_NO_COLOR, of verder geconfigureerd worden met de configuratieoptie en -scope APT::Color; zie apt.conf(5) voor informatie hierover.

BESTANDEN

/etc/apt/sources.list
    Locaties waarvandaan pakketten opgehaald moeten worden. Configuratie-item: Dir::Etc::SourceList.

/etc/apt/sources.list.d/
    Bestandsfragmenten met locaties waarvandaan pakketten opgehaald moeten worden. Configuratie-item: Dir::Etc::SourceParts.

/etc/apt/apt.conf
    Configuratiebestand voor APT. Configuratie-item: Dir::Etc::Main.

/etc/apt/apt.conf.d/
    Configuratiebestandsfragmenten voor APT. Configuratie-item: Dir::Etc::Parts.

/etc/apt/preferences
    Bestand met versievoorkeuren. Dit is waar u "pinning" kunt opgeven. Dit is een voorkeur voor het ophalen van bepaalde pakketten uit een aparte pakketbron of uit een andere versie van een distributie. Configuratie-item: Dir::Etc::Preferences.

/etc/apt/preferences.d/
    Bestandsfragmenten met versievoorkeuren. Configuratie-item: Dir::Etc::PreferencesParts.

/var/cache/apt/archives/
    Opslaggebied voor opgehaalde pakketbestanden. Configuratie-item: Dir::Cache::Archives.

/var/cache/apt/archives/partial/
    Opslaggebied voor pakketbestanden tijdens het ophalen. Configuratie-item: Dir::Cache::Archives (partial zal impliciet toegevoegd worden)

/var/lib/apt/lists/
    Opslaggebied voor statusinformatie over elke pakketbron vermeld in sources.list(5) Configuratie-item: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Opslaggebied voor statusinformatie tijdens het ophalen. Configuratie-item: Dir::State::Lists (partial zal impliciet toegevoegd worden)

ZIE OOK

apt-cache(8), apt-cdrom(8), dpkg(1), sources.list(5), apt.conf(5), apt-patterns(7), apt-config(8), apt-secure(8), De gebruikershandleiding voor APT in /usr/share/doc/apt-doc/, apt_preferences(5), de Howto voor APT.

DIAGNOSTIEK

apt-get geeft de terugkeerwaarde nul bij een normaal verlopen operatie, het decimaal getal 100 in geval van een fout.

BUGS

APT bugpagina[1]. Indien u een bug in APT wilt rapporteren, raadpleeg dan /usr/share/doc/debian/bug-reporting.txt of het reportbug(1) commando.

VERTALING

De Nederlandse vertaling werd in 2015 gemaakt door Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, in samenwerking met het Debian Dutch l10n Team <debian-l10n-dutch@lists.debian.org>.

Merk op dat de vertaling van dit document nog onvertaalde delen kan bevatten. Dit is intentioneel om te vermijden dat inhoud verloren zou gaan door een vertaling die achterop loopt op het origineel.

AUTEURS

Jason Gunthorpe

APT-team

OPMERKINGEN

1.  APT bugpagina
    https://bugs.debian.org/src:apt